Fix permissions to make git-buildpackage shut up
[hcoop/zz_old/debian/suphp.git] / debian / suphp-common.postrm
1 #! /bin/sh
2 # postrm script for suphp-common
3 #
4 # see: dh_installdeb(1)
5
6 set -e
7
8 # summary of how this script can be called:
9 # * <postrm> `remove'
10 # * <postrm> `purge'
11 # * <old-postrm> `upgrade' <new-version>
12 # * <new-postrm> `failed-upgrade' <old-version>
13 # * <new-postrm> `abort-install'
14 # * <new-postrm> `abort-install' <old-version>
15 # * <new-postrm> `abort-upgrade' <old-version>
16 # * <disappearer's-postrm> `disappear' <r>overwrit>r> <new-version>
17 # for details, see http://www.debian.org/doc/debian-policy/ or
18 # the debian-policy package
19
20 case "$1" in
21 purge)
22 rm -f /var/log/suphp/suphp.log*
23 ;;
24
25 remove|upgrade|failed-upgrade|abort-install|abort-upgrade|disappear)
26
27 ;;
28 *)
29 echo "postrm called with unknown argument \`$1'" >&2
30 exit 1
31
32 esac
33
34 # dh_installdeb will replace this with shell code automatically
35 # generated by other debhelper scripts.
36
37 #DEBHELPER#
38
39 exit 0